package state51::Logger::Event::APIHit;
use Moose;
use MooseX::Types::Moose qw/ Str /;
use namespace::autoclean;
use MooseX::ClassAttribute;

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::WebHit';

class_has documentation => (
    is => 'ro',
    isa => 'Str',
    default => 'These are generated by the MediaAPI every time it serves a request',
);

has [qw/ yearmonth client_ip user asset_controller method status api_method request_size response_size /] => (
    is => 'ro',
    isa => Str,
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
     format_string => q{Hit to %s took %ss."},
    attributes => [qw/ path time /],
};

__PACKAGE__->meta->make_immutable;
1;

