package state51::Logger::Event::CephWrite;
use Moose;
use MooseX::Types::Moose qw/ Num Int /;
use Moose::Util::TypeConstraints;

use namespace::autoclean;

extends 'state51::Logger::Event';

sub suppress_console_display { 1 }

with 'state51::Logger::Event::Role::Ceph';

has total_bytes => (
    isa => Int,
    is  => 'ro',
    required => 1,
);

has time_elapsed => (
    isa => Num,
    is  => 'ro',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Ceph access from %s of %s, took %.6f to transfer %d bytes.},
    attributes => [qw/ hostname key time_elapsed total_bytes /],
};

__PACKAGE__->meta->make_immutable;
1;

