package state51::Logger::Event::DeliverDesireRetryLimitReached;
use Moose;
use MooseX::Types::Moose qw/ Str Num /;
use state51::Types qw/InstanceID/;
use namespace::autoclean;

extends 'state51::Logger::Event';

has [qw / request_id deliverdesire_id musicservice_id /] => (
    is       => 'ro',
    isa      => InstanceID,
    required => 1
);

has [qw / musicservice_tla /] => (
    is       => 'ro',
    isa      => Str,
    required => 1
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{DeliverDesire %d retry attempts reached},
    attributes    => [qw/ deliverdesire_id /],
};

__PACKAGE__->meta->make_immutable;
