package state51::Logger::Event::ExportBatchUploadComplete;
use Moose;
use MooseX::Types::Moose qw/ Num /;
use namespace::autoclean;

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::ExportBatchUpload';

has duration => (
    is => 'ro',
    isa => Num,
    required => 1,
);

has transfer_rate => (
    is => 'ro',
    isa => Num,
    required => 0,
    documentation => 'Upload rate of the batch in bytes per second',
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Export of batch %d completed in %f seconds},
    attributes => [qw/ batch duration /],
};

__PACKAGE__->meta->make_immutable;

