package state51::Logger::Event::Greedbag::MailOpened;
use Moose;
use MooseX::Storage ();
use MooseX::Types::Moose qw/ Num Str Int /;
use namespace::autoclean;

# Fired when a greedbag customer opens a mailout mail and renders the secret pixel

extends 'state51::Logger::Event::Greedbag';

sub routing_key { 'state51.greedbag.mailopened' }

has retailer_id => (
    is => 'ro',
    isa => Str,
    required => 1,
);

has email_to => (
    is => 'ro',
    isa => Str,
    required => 1,
);

has role_id => (
    is => 'ro',
    isa => Str,
    required => 1
);

has mailout_identifier => (
    is => 'ro',
    isa => Str,
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{MailCustomer to %s from %s},
    attributes => [qw/ email_to retailer_name /],
};

__PACKAGE__->meta->make_immutable;
1;
