package state51::Logger::Event::Greedbag::StockMovement;
use Moose;
use MooseX::Storage ();
use MooseX::Types::Moose qw/ Num Str Int /;
use namespace::autoclean;

extends 'state51::Logger::Event::Greedbag';

sub routing_key { 'state51.greedbag.stockmovement' }

has new_quantity => (
    is => 'ro',
    isa => Num,
    required => 1,
);

has existing_quantity => (
    is => 'ro',
    isa => Num,
    required => 1,
);

has caller => (
    isa => Str,
    required => 1,
    is => 'ro'
);

# context? carp? caller?

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Stock movement %s %s %s},
    attributes => [qw/ existing_quantity new_quantity caller /],
};

__PACKAGE__->meta->make_immutable;
1;

