package state51::Logger::Event::Hit::MailoutOpened;
use Moose;
use MooseX::Types::Moose qw/ Int Str /;
use namespace::clean -except => 'meta';

extends 'state51::Logger::Event::Hit';
with 'state51::Logger::Role::WithRetailer';

has mailout_id => (
    isa => Int,
    is => 'ro',
    required => 1,
);

has role_identifier => (
    isa => Str,
    is => 'ro',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Mailout "%s" opened by %s},
    attributes => [qw/ mailout_id role_identifier /],
};

__PACKAGE__->meta->make_immutable;
1;

