package state51::Logger::Event::ImportFeed::ProcessOneBatch::Exception;
use Moose;
use MooseX::Types::Moose qw/ Str /;
use namespace::clean -except => "meta";

extends 'state51::Logger::Event::ImportFeed::ProcessOneBatch';

has exception => (
    is => 'ro',
    isa => Str,
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{caught exception while handling batch. %s},
    attributes => [qw/ exception /],
    },
    'state51::Log::Message::Structured';

__PACKAGE__->meta->make_immutable;
1;

