package state51::Logger::Event::JobCompleted;
use Moose;
use MooseX::Types::Moose qw/ Num Int HashRef Maybe/;
use namespace::autoclean;

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::JobExecution';

has duration => (
    isa => Num,
    is  => 'ro',
    required => 1,
    documentation => 'This is the length of time the Job->run() method executes for.',
);

has return_value => (
    isa => Maybe[HashRef],
    is  => 'ro',
    required => 0,
    documentation => 'This is the return value of the Job->run() method.',
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Job %s successfully completed in %f seconds},
    attributes => [qw/ job duration /],
};

__PACKAGE__->meta->make_immutable;

