package state51::Logger::Event::JobFailed;
use Moose;
use namespace::autoclean;

extends 'state51::Logger::Event::JobCompleted';

has error => (
    is => 'ro',
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Job %s failed with error '%s' in %f seconds},
    attributes => [qw/ job error duration /],
};

__PACKAGE__->meta->make_immutable;

