package state51::Logger::Event::JobFailedDeserialise;
use Moose;
use namespace::autoclean;

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::JobExecution';

has error => (
    is => 'ro',
    documentation => 'The $@ from the failed eval'
);

has job_data => (
    is => 'ro',
    documentation => 'The job data that failed to deserialise',
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Job %s failed to deserialise with error '%s' with job data `%s'},
    attributes => [qw/ job error job_data/],
};

__PACKAGE__->meta->make_immutable;

