package state51::Logger::Event::MailService::ManagementTool::ResendSignupConfirmation;
use Moose;
use MooseX::Types::Moose qw/ Num /;
use namespace::autoclean;

extends 'state51::Logger::Event::MailService::ManagementTool';

# subscriber of this mailservice
has subscriber_id => ( isa => Num, required => 0, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{%s (%d) resend confirmation email to subscriber_id (%d) of %s (%s)},
    attributes    => [qw/ username role_id subscriber_id mailservice_name mailservice_id /],
};

__PACKAGE__->meta->make_immutable;
