package state51::Logger::Event::MailService::ManagementTool::Subscribers;
use Moose;
use MooseX::Types::Moose qw/ Num Str /;
use namespace::autoclean;

extends 'state51::Logger::Event::MailService::ManagementTool';

# subscriber / customer
has subscriber_id => ( isa => Num, required => 1, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{%s (%d) %s subscriber (%d) of %s (%s)},
    attributes    => [qw/ username role_id action subscriber_id mailservice_name mailservice_id /],
};

__PACKAGE__->meta->make_immutable;
