package state51::Logger::Event::MogileFail;
use Moose;
use Moose::Util::TypeConstraints;

use namespace::autoclean;

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::Mogile';

has reason => (
    isa => enum([qw/ http sha1 /]),
    is  => 'ro',
    required => 1,
);

has downloader => (
    isa => enum([qw/ platform reproxy /]),
    is  => 'ro',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Mogile access from %s by %s to %s failed with a %s problem.},
    attributes => [qw/ hostname downloader url reason /],
};

__PACKAGE__->meta->make_immutable;
1;

