package state51::Logger::Event::MySQLReplicationLag;
use Moose;
use MooseX::Types::Moose qw/ Int /;
use namespace::autoclean;

extends 'state51::Logger::Event';

has lag => ( isa => Int, required => 1, is => 'ro',
             documentation => 'The mysql slave is lagging the master by this many seconds'
           );

# hmm, gets used as class documentation
sub documentation {
  'This event is emitted when the mysql slave is lagging the mysql master'
}

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Replication lag is %ss},
    attributes => [qw/ lag /],
};

sub suppress_console_display {
    ! -t STDIN
}

__PACKAGE__->meta->make_immutable;

