package state51::Logger::Event::RequestExportComplete;
use Moose;
use MooseX::Types::Moose qw/ Str Num /;
use namespace::autoclean;

extends 'state51::Logger::Event::RequestUpdate';

has [
    qw / total_deliver_desire complete_deliver_desire validation_duration
    transforms_requested transform_duration transfer_duration total_bytes_transferred
    order_duration complete_export_batches/
  ] => (
    is       => 'ro',
    isa      => Num,
    required => 1
  );

has 'due_date_to_completion_delta' => (
    is       => 'ro',
    isa      => Num,
    required => 1,
    documentation => 'The number of seconds between the due date and the completion date. A positive number means the request was completed early.'
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Request %d Completed},
    attributes    => [qw/ request_id /],
};

__PACKAGE__->meta->make_immutable;

