package state51::Logger::Event::Unicorn;
use Moose;
use MooseX::Types::Moose qw/ Str Int /;
use namespace::autoclean;

extends 'state51::Logger::Event';

has reportfile  => ( isa => Int, required => 1, is => 'ro' );
has bear_params => ( isa => Str, required => 0, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Reportfile_id: %s, bear_params: %s"},
    attributes    => [qw/ reportfile bear_params /],
};

__PACKAGE__->meta->make_immutable;
